| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_UART_INSTANCE_s Struct Reference

`#include <common/p33c_pral/p33c_mpuart.h>`

Collaboration diagram for P33C_UART_INSTANCE_s:

## Data Fields
union {
struct tagU1MODEBITS bits
uint16_t value
} | UxMODE
union {
struct tagU1MODEHBITS bits
uint16_t value
} | UxMODEH
union {
struct tagU1STABITS bits
uint16_t value
} | UxSTA
union {
struct tagU1STAHBITS bits
uint16_t value
} | UxSTAH
union {
struct {
uint16_t BRG: 16
} bits
uint16_t value
} | UxBRG
union {
struct {
uint16_t BRGH: 4
unsigned __pad0__: 12
} bits
uint16_t value
} | UxBRGH
union {
struct {
uint16_t RXREG: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxRXREG
union {
struct {
uint16_t TXREG: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxTXREG
unsigned | __pad1__: 16
union {
struct {
uint16_t P1: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxP1
union {
struct {
uint16_t P2: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxP2
union {
struct {
uint16_t P3: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxP3
union {
struct {
uint16_t P3H: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxP3H
union {
struct {
uint16_t TXCHK: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxTXCHK
union {
struct {
uint16_t RXCHK: 8
unsigned __pad0__: 8
} bits
uint16_t value
} | UxRXCHK
union {
struct tagU1SCCONBITS bits
uint16_t value
} | UxSCCON
union {
struct tagU1SCINTBITS bits
uint16_t value
} | UxSCINT
union {
struct tagU1INTBITS bits
uint16_t value
} | UxINT

## Detailed Description

Definition at line 85 of file p33c_mpuart.h.

## Field Documentation

## ◆ __pad0__

unsigned __pad0__

Definition at line 111 of file p33c_mpuart.h.

## ◆ __pad1__

unsigned __pad1__

Definition at line 130 of file p33c_mpuart.h.

## ◆ bits [1/17]

struct tagU1MODEHBITS bits

Definition at line 91 of file p33c_mpuart.h.

## ◆ bits [2/17]

struct tagU1STABITS bits

Definition at line 95 of file p33c_mpuart.h.

## ◆ bits [3/17]

struct tagU1STAHBITS bits

Definition at line 99 of file p33c_mpuart.h.

## ◆ bits [4/17]

struct { ... } bits

## ◆ bits [5/17]

struct { ... } bits

## ◆ bits [6/17]

struct { ... } bits

## ◆ bits [7/17]

struct { ... } bits

## ◆ bits [8/17]

struct tagU1MODEBITS bits

Definition at line 87 of file p33c_mpuart.h.

## ◆ bits [9/17]

struct { ... } bits

## ◆ bits [10/17]

struct { ... } bits

## ◆ bits [11/17]

struct { ... } bits

## ◆ bits [12/17]

struct { ... } bits

## ◆ bits [13/17]

struct { ... } bits

## ◆ bits [14/17]

struct tagU1SCCONBITS bits

Definition at line 174 of file p33c_mpuart.h.

## ◆ bits [15/17]

struct { ... } bits

## ◆ bits [16/17]

struct tagU1SCINTBITS bits

Definition at line 178 of file p33c_mpuart.h.

## ◆ bits [17/17]

struct tagU1INTBITS bits

Definition at line 182 of file p33c_mpuart.h.

## ◆ BRG

uint16_t BRG

Definition at line 104 of file p33c_mpuart.h.

## ◆ BRGH

uint16_t BRGH

Definition at line 110 of file p33c_mpuart.h.

## ◆ P1

uint16_t P1

Definition at line 133 of file p33c_mpuart.h.

## ◆ P2

uint16_t P2

Definition at line 140 of file p33c_mpuart.h.

## ◆ P3

uint16_t P3

Definition at line 147 of file p33c_mpuart.h.

## ◆ P3H

uint16_t P3H

Definition at line 154 of file p33c_mpuart.h.

## ◆ RXCHK

uint16_t RXCHK

Definition at line 168 of file p33c_mpuart.h.

## ◆ RXREG

uint16_t RXREG

Definition at line 117 of file p33c_mpuart.h.

## ◆ TXCHK

uint16_t TXCHK

Definition at line 161 of file p33c_mpuart.h.

## ◆ TXREG

uint16_t TXREG

Definition at line 125 of file p33c_mpuart.h.

## ◆ UxBRG

union { ... } UxBRG

## ◆ UxBRGH

union { ... } UxBRGH

## ◆ UxINT

union { ... } UxINT

## ◆ UxMODE

union { ... } UxMODE

## ◆ UxMODEH

union { ... } UxMODEH

## ◆ UxP1

union { ... } UxP1

## ◆ UxP2

union { ... } UxP2

## ◆ UxP3

union { ... } UxP3

## ◆ UxP3H

union { ... } UxP3H

## ◆ UxRXCHK

union { ... } UxRXCHK

## ◆ UxRXREG

union { ... } UxRXREG

## ◆ UxSCCON

union { ... } UxSCCON

## ◆ UxSCINT

union { ... } UxSCINT

## ◆ UxSTA

union { ... } UxSTA

## ◆ UxSTAH

union { ... } UxSTAH

## ◆ UxTXCHK

union { ... } UxTXCHK

## ◆ UxTXREG

union { ... } UxTXREG

## ◆ value

uint16_t value

Definition at line 88 of file p33c_mpuart.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_mpuart.h